# frozen_string_literal: true
# encoding: UTF-8

# Requirements
# =======================================================================

# Stdlib
# -----------------------------------------------------------------------
require 'pp'
require 'pathname'
require 'shellwords'

# Deps
# -----------------------------------------------------------------------
require 'nrser'
require 'cmds'

# Project / Package
# -----------------------------------------------------------------------
require 'locd/version'
require 'locd/errors'
require 'locd/config'
require 'locd/util'
require 'locd/label'
require 'locd/pattern'
require 'locd/launchctl'
require 'locd/newsyslog'
require 'locd/agent'
require 'locd/proxy'


# Definitions
# =======================================================================

module Locd
  
  # Constants
  # ======================================================================
  
  # {Regexp} to match HTTP "Host" header line.
  # 
  # @return [Regexp]
  # 
  HOST_RE = /^Host\:\ /i
  
  
  # Mixins
  # ============================================================================
  
  # Add {.logger} and {#logger} methods
  include NRSER::Log::Mixin
  
  
  # Module Methods
  # ======================================================================
  
  # @return [Locd::Config]
  #   The configuration.
  # 
  def self.config
    @config ||= Locd::Config.new
  end
  
end # module Locd
