# encoding: UTF-8
# frozen_string_literal: true

require 'nrser/refinements/types'
using NRSER::Types


# Namespace
# =======================================================================

module  Locd
module  CLI
module  Command


# Definitions
# =======================================================================

class Agent < Base
  
  desc              "plist",
                    "Print an agent's launchd property list"
  
  include_shared    t[ groups: :pattern ]
  
  def plist
    agent = find_only! pattern
    
    if options[:json] || options[:yaml]
      respond agent.plist
    else
      respond agent.path.read
    end
  end
  
end

# /Namespace
# =======================================================================

end # module  Command
end # module  CLI
end # module  Locd
