# encoding: UTF-8
# frozen_string_literal: true

require 'nrser/refinements/types'
using NRSER::Types


# Namespace
# =======================================================================

module  Locd
module  CLI
module  Command


# Definitions
# =======================================================================

class Agent < Base
  
  desc              "restart",
                    "Restart an agent"
  
  include_shared    t[ groups: t.HasAny( :pattern, :multi, :restart ) ]
  
  include_shared    t[ name: t.or( :enable, :force ), groups: :start ]
  
  def restart
    find_multi!( pattern ).
      each { |agent|
        agent.restart **option_kwds( groups: [ :restart, :stop, :start ] )
      }
  end

end


# /Namespace
# =======================================================================

end # module  Command
end # module  CLI
end # module  Locd
