# encoding: UTF-8
# frozen_string_literal: true

require 'nrser/refinements/types'
using NRSER::Types


# Namespace
# =======================================================================

module  Locd
module  CLI
module  Command


# Definitions
# =======================================================================

class Agent < Base
  
  desc  "start",    "Start an agent"

  include_shared    t[ groups: t.HasAny( :pattern, :multi, :start ) ]
  
  def start
    find_multi!( pattern ).
      each { |agent| agent.start **option_kwds( groups: :start ) }
  end

end


# /Namespace
# =======================================================================

end # module  Command
end # module  CLI
end # module  Locd
