# encoding: UTF-8
# frozen_string_literal: true

require 'nrser/refinements/types'
using NRSER::Types


# Namespace
# =======================================================================

module  Locd
module  CLI
module  Command


# Definitions
# =======================================================================

class Agent < Base
  
  desc            'status',
                  "Print agent status"
  
  include_shared  t[ groups: :pattern ]
  
  def status
    agent = find_only! pattern
    respond \
      label:  agent.label,
      status: agent.status.to_h( compact: false )
  end

end


# /Namespace
# =======================================================================

end # module  Command
end # module  CLI
end # module  Locd
