# encoding: UTF-8
# frozen_string_literal: true

require 'nrser/refinements/types'
using NRSER::Types


# Namespace
# =======================================================================

module  Locd
module  CLI
module  Command


# Definitions
# =======================================================================

class Agent < Base
  
  desc            "stop",
                  "Stop an agent"
  
  include_shared  t[ groups: t.HasAny( :pattern, :multi, :stop ) ]
  
  def stop
    kwds = option_kwds groups: :stop
    find_multi!( pattern ).each { |agent| agent.stop **kwds }
  end

end


# /Namespace
# =======================================================================

end # module  Command
end # module  CLI
end # module  Locd
