# frozen_string_literal: true
# encoding: UTF-8

# Definitions
# =======================================================================

module Locd
  
  def self.resolve project_root, path = nil
    return project_root if path.nil?
    
    if path.start_with? '//'
      project_root / path[2..-1]
    elsif path.start_with? '/'
      path.to_pn
    else
      project_root / path
    end
  end
  
  
  # Just like {.resolve} but returns a {String} (instead of a {Pathname}).
  # 
  # @param (see .resolve)
  # @return [String]
  # 
  def self.resolve_to_s *args
    resolve( *args ).to_s
  end
  
end # module Locd
